Home » Android » android – Eclipse ADT Unexpected exception 'Cannot run program'

android – Eclipse ADT Unexpected exception 'Cannot run program'

Posted by: admin June 15, 2020 Leave a comment

Questions:

I have installed ADT Bundle on my laptop. I have ubuntu 13.10 but when I open the ADT I see this message:

Unexpected exception 'Cannot run program "/home/.../Descargas/adt-bundle-linux-x86_64 20131030/sdk/platform-tools/adb": 
error=2, No existe el archivo o el directorio' while attempting to get adb version from '/home/.../Descargas/adt-bundle-linux-x86_64-20131030/sdk/platform-tools/adb'

[2013-12-25 16:20:14 - adb] Unexpected exception 'Cannot run program "/home/.../Descargas/adt-bundle-linux-x86_64-20131030/sdk/platform-tools/adb": 
error=2, No existe el archivo o el directorio' while attempting to get adb version from '/home/.../Descargas/adt-bundle-linux-x86_64-20131030/sdk/platform-tools/adb'

It is my first time installing and developing on android, so, I do not know what to do.
Can someone help me?

How to&Answers:

I faced the same problem but after re-extracting the ADT file,this message disappeared.

Working on Ubunto 13.10 , The ADT file name (adt-bundle-linux-x86_64-20131030.zip)

Answer:

If you’re on ubuntu 13.10 (and possibly other versions >= 12.10), you may need to install

sudo apt-get install lib32ncurses5 lib32stdc++6 zlib1g:i386 libc6-i386

in stead. ia32-libs is no longer available on 13.10

Answer:

I think you have to install: IA32 library

You can test this command: apt-get install ia32-libs

Answer:

Its documented in Android’s Setting Up an Existing IDE page, click on the Troubleshooting Ubuntu link. For Ubuntu 13.10 (Saucy Salamander) and newer you need to add these packages:

sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get install libncurses5:i386 libstdc++6:i386 zlib1g:i386

Answer:

I am using Ubuntu 14.04 LTS 64-bit and the following code works for me:

sudo apt-get install lib32z1 lib32z1-dev